<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: Data Fields</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="globals.html"><span>All</span></a></li>
      <li><a href="globals_func.html"><span>Functions</span></a></li>
      <li><a href="globals_vars.html"><span>Variables</span></a></li>
      <li><a href="globals_type.html"><span>Typedefs</span></a></li>
      <li class="current"><a href="globals_enum.html"><span>Enumerations</span></a></li>
      <li><a href="globals_eval.html"><span>Enumerator</span></a></li>
      <li><a href="globals_defs.html"><span>Defines</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="#index_t"><span>t</span></a></li>
      <li><a href="#index_v"><span>v</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
&nbsp;

<h3><a class="anchor" id="index_t">- t -</a></h3><ul>
<li>tivx_cpu_id_e
: <a class="el" href="group__group__tivx__ext.html#ga56b14c79b967d7f5f4170aab3befca6f">tivx.h</a>
</li>
<li>tivx_debug_zone_e
: <a class="el" href="group__group__vx__debug.html#ga73f8b7d2888a862fd66f8f479eead7e6">tivx_debug.h</a>
</li>
<li>tivx_image_create_type_e
: <a class="el" href="group__group__tivx__obj__desc.html#ga25fa81b14d1e21751503d0b836ff5d77">tivx_obj_desc.h</a>
</li>
<li>tivx_kernel_ivision_e
: <a class="el" href="tivx__kernels_8h.html#a9c6e5bd89004bbe36d50e060c836358c">tivx_kernels.h</a>
</li>
<li>tivx_library_e
: <a class="el" href="tivx__kernels_8h.html#af0c0aebc1ceb4f912f8b67f5f6f845f2">tivx_kernels.h</a>
</li>
<li>tivx_mem_type_e
: <a class="el" href="group__group__tivx__mem.html#ga16613a56b37f0bda2cc3fef86f40518e">tivx_mem.h</a>
</li>
<li>tivx_obj_desc_type_e
: <a class="el" href="group__group__tivx__obj__desc.html#ga4858f5eeb4edfc862b9b8b2039ed8109">tivx_obj_desc.h</a>
</li>
<li>tivx_platform_lock_type_e
: <a class="el" href="group__group__tivx__platform.html#ga60dd5b4e5393c3efae0b37bfd51122db">tivx_platform.h</a>
</li>
<li>tivx_reftype_e
: <a class="el" href="group__group__vx__reference.html#gacd45d0c17bdc4c34ffc0c1c00c000617">vx_reference.h</a>
</li>
<li>tivx_target_cmd_e
: <a class="el" href="group__group__tivx__target.html#gaab9a2b437b24da392a6784bc35334e72">tivx_target.h</a>
</li>
</ul>


<h3><a class="anchor" id="index_v">- v -</a></h3><ul>
<li>vx_accessor_e
: <a class="el" href="vx__types_8h.html#adc2f56f2c0b0255308ce90746b454fe6">vx_types.h</a>
</li>
<li>vx_action_e
: <a class="el" href="vx__types_8h.html#a28324bfc81fd9121efb8c1ec416d507a">vx_types.h</a>
</li>
<li>vx_array_attribute_e
: <a class="el" href="vx__types_8h.html#ad4a2939e3d71ab3b1ae36733ab7b9511">vx_types.h</a>
</li>
<li>vx_bool
: <a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_types.h</a>
</li>
<li>vx_border_e
: <a class="el" href="vx__types_8h.html#a2430709469c374c6fadfac72abbbcbb4">vx_types.h</a>
</li>
<li>vx_border_policy_e
: <a class="el" href="vx__types_8h.html#a146d4f89d9ade0ad70e19c6a8a7c944d">vx_types.h</a>
</li>
<li>vx_channel_e
: <a class="el" href="vx__types_8h.html#a5918ef0456c126837dca21f6fb55ccb3">vx_types.h</a>
</li>
<li>vx_channel_range_e
: <a class="el" href="vx__types_8h.html#a30e324a2d0bf0dd38a53d1e807bb25db">vx_types.h</a>
</li>
<li>vx_color_space_e
: <a class="el" href="vx__types_8h.html#a26286b5d5a731b56d4a593d80ccfb302">vx_types.h</a>
</li>
<li>vx_context_attribute_e
: <a class="el" href="vx__types_8h.html#a7f849c7db71cc56b2a554d7d342ff421">vx_types.h</a>
</li>
<li>vx_convert_policy_e
: <a class="el" href="vx__types_8h.html#a4906e37bb7a3d678e83d624da09a7490">vx_types.h</a>
</li>
<li>vx_convolution_attribute_e
: <a class="el" href="vx__types_8h.html#ac04b5df1e74eb9ead96589ca863f1977">vx_types.h</a>
</li>
<li>vx_delay_attribute_e
: <a class="el" href="vx__types_8h.html#a5c20574953e6aae4ecf01f483e2680b1">vx_types.h</a>
</li>
<li>vx_df_image_e
: <a class="el" href="vx__types_8h.html#a249dd49823433ffa16cf2e60ed25b7f1">vx_types.h</a>
</li>
<li>vx_direction_e
: <a class="el" href="vx__types_8h.html#a4a11207b7fcf1135615b4ae11624f9ed">vx_types.h</a>
</li>
<li>vx_directive_e
: <a class="el" href="vx__types_8h.html#aae805d69ffdb9dfdb1f3cbc75f4cd18b">vx_types.h</a>
</li>
<li>vx_distribution_attribute_e
: <a class="el" href="vx__types_8h.html#a2df35cf9de7d83854fede1abab71c14d">vx_types.h</a>
</li>
<li>vx_enum_e
: <a class="el" href="vx__types_8h.html#a64bbf073b67ff3b5398d271fe49f940e">vx_types.h</a>
</li>
<li>vx_graph_attribute_e
: <a class="el" href="vx__types_8h.html#afb1ab4fbc75aedc1bf2f096a55afa58a">vx_types.h</a>
</li>
<li>vx_graph_state_e
: <a class="el" href="vx__types_8h.html#a9afb6ff87d42579429f1900d21dece2d">vx_types.h</a>
</li>
<li>vx_hint_e
: <a class="el" href="vx__types_8h.html#a91f1e56c1d90a7b0ce2ab9141ef9db27">vx_types.h</a>
</li>
<li>vx_image_attribute_e
: <a class="el" href="vx__types_8h.html#a6e2be5f941fc71380d6a6019232f368b">vx_types.h</a>
</li>
<li>vx_interpolation_type_e
: <a class="el" href="vx__types_8h.html#ac555ac52751b27887146d41144e02d60">vx_types.h</a>
</li>
<li>vx_kernel_attribute_e
: <a class="el" href="vx__types_8h.html#a5d2fdc999ccec0af77054f2833ec9652">vx_types.h</a>
</li>
<li>vx_lut_attribute_e
: <a class="el" href="vx__types_8h.html#a542c33297994ce6fcaaf1712541cc2a7">vx_types.h</a>
</li>
<li>vx_map_flag_e
: <a class="el" href="vx__types_8h.html#aa8e41f400d3c34f847e561b2d160cb9f">vx_types.h</a>
</li>
<li>vx_matrix_attribute_e
: <a class="el" href="vx__types_8h.html#a0f2d532b5ae14affed791440c0d06f65">vx_types.h</a>
</li>
<li>vx_memory_type_e
: <a class="el" href="vx__types_8h.html#aeb1451df9727164fedf70723af2264b2">vx_types.h</a>
</li>
<li>vx_meta_valid_rect_attribute_e
: <a class="el" href="vx__types_8h.html#a244bdb2fc3ebac38195a2be5dc37d99b">vx_types.h</a>
</li>
<li>vx_node_attribute_e
: <a class="el" href="vx__types_8h.html#a6698e2a55aa6d7fd5c45e746a0d640b9">vx_types.h</a>
</li>
<li>vx_non_linear_filter_e
: <a class="el" href="vx__types_8h.html#ab2904d3eaeaa2034307cff4848fddc1d">vx_types.h</a>
</li>
<li>vx_norm_type_e
: <a class="el" href="vx__types_8h.html#aabfffda8bd2d6cd1458d6e7db006615a">vx_types.h</a>
</li>
<li>vx_object_array_attribute_e
: <a class="el" href="vx__types_8h.html#a77518448bc4d2d157b73defcc2cac9b9">vx_types.h</a>
</li>
<li>vx_parameter_attribute_e
: <a class="el" href="vx__types_8h.html#a0534bb02e93eb4bab196bde2d3eccd59">vx_types.h</a>
</li>
<li>vx_parameter_state_e
: <a class="el" href="vx__types_8h.html#adee3d0820c9f76afc5273e4c1b7f3b04">vx_types.h</a>
</li>
<li>vx_pattern_e
: <a class="el" href="vx__types_8h.html#a408dfa61ca7a43e185d16180ea4b7ebb">vx_types.h</a>
</li>
<li>vx_pyramid_attribute_e
: <a class="el" href="vx__types_8h.html#a959e697be8a346cf77090cadb24dbb80">vx_types.h</a>
</li>
<li>vx_reference_attribute_e
: <a class="el" href="vx__types_8h.html#a769da45f9a00160000c8982549eea4e2">vx_types.h</a>
</li>
<li>vx_remap_attribute_e
: <a class="el" href="vx__types_8h.html#aeb825a4b63bdc742d8b4080ac0a1298c">vx_types.h</a>
</li>
<li>vx_round_policy_e
: <a class="el" href="vx__types_8h.html#abb9dfa7effd06920db3377f0eba611fe">vx_types.h</a>
</li>
<li>vx_scalar_attribute_e
: <a class="el" href="vx__types_8h.html#ac8804b87294558898585e744d454ced9">vx_types.h</a>
</li>
<li>vx_status_e
: <a class="el" href="vx__types_8h.html#aa2387ff4d3e967f124fb316300503f92">vx_types.h</a>
</li>
<li>vx_target_e
: <a class="el" href="vx__types_8h.html#a39fd08c4e2f3fea1a30caf312245f5c6">vx_types.h</a>
</li>
<li>vx_termination_criteria_e
: <a class="el" href="vx__types_8h.html#a7bac21ccaea103200bf81451e069312e">vx_types.h</a>
</li>
<li>vx_threshold_attribute_e
: <a class="el" href="vx__types_8h.html#a1f6062993766a5a622e80c87fe912826">vx_types.h</a>
</li>
<li>vx_threshold_type_e
: <a class="el" href="vx__types_8h.html#a8bb2a727990f9ef6512bac10b331e77c">vx_types.h</a>
</li>
<li>vx_type_e
: <a class="el" href="vx__types_8h.html#a44aa67e15168e5912a0800090a120be6">vx_types.h</a>
</li>
</ul>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
